//toolbar: {
  // items: [
  //     "heading",
  //     "|",
  //     "fontFamily",
  //     "fontSize",
  //     "fontColor",
  //     "|",
  //     "bold",
  //     "italic",
  //     "underline",
  //     "strikethrough",
  //     "subscript",
  //     "superscript",
  //     "removeFormat",
  //     "code",
  //     "link",
  //     "bulletedList",
  //     "numberedList",
  //     "todoList",
  //     "insertImage",
  //     "strapiMediaLib",
  //     "|",
  //     "alignment",
  //     "indent",
  //     "outdent",
  //     "|",
  //      ,
  //     "blockQuote",
  //     "insertTable",
  //     "mediaEmbed",
  //     "htmlEmbed",
  //     "codeBlock",
  //     "horizontalLine",
  //     "|",
  //     "fullScreen",
  //     "undo",
  //     "redo",
  // ],
  // shouldNotGroupWhenFull: true
//},

module.exports = {
  toolbar: {
    items: [
      'heading',
      '|',
      'bold',
      'italic',
      'underline',
      "strikethrough",
      "fontColor",
      "removeFormat",
      'link',
      'bulletedList',
      'numberedList',
      'imageInsert',
      'strapiMediaLib',
      '|',
      // 'alignment',
      // 'indent',
      // 'outdent',
      // '|',
      'specialCharacters',
      'blockQuote',
      'insertTable',
      'mediaEmbed',
      'htmlEmbed',
      //'horizontalLine',
      '|',
      'undo',
      'redo'
    ]
  },
  image: {
    styles: [
      'alignLeft',
      'alignCenter',
      'alignRight'
    ],
    resizeOptions: [
      {
        name: 'imageResize:original',
        value: null,
        icon: 'original'
      },
      {
        name: 'imageResize:50',
        value: '50',
        icon: 'medium'
      },
      {
        name: 'imageResize:75',
        value: '75',
        icon: 'large'
      }
    ],
    toolbar: [
      'imageStyle:alignLeft',
      'imageStyle:alignCenter',
      'imageStyle:alignRight',
      '|',
      'imageTextAlternative',
      '|',
      'imageResize:50',
      'imageResize:75',
      'imageResize:original',
      '|',
      'linkImage'
    ]
  },
  table: {
    contentToolbar: [
      "tableProperties",
      'tableColumn',
      'tableRow',
      'mergeTableCells'
    ]
  },
  heading: {
    options: [
      { model: 'paragraph', title: 'Paragraph', class: 'ck-heading_paragraph' },
      { model: 'heading1', view: 'h1', title: 'Heading 1', class: 'ck-heading_heading1' },
      { model: 'heading2', view: 'h2', title: 'Heading 2', class: 'ck-heading_heading2' },
      { model: 'heading3', view: 'h3', title: 'Heading 3', class: 'ck-heading_heading3' },
      { model: 'heading4', view: 'h4', title: 'Heading 4', class: 'ck-heading_heading4' }
    ]
  },
  htmlEmbed: {
    showPreviews: true
  },
  link: {
    defaultProtocol: "https://",
    decorators: [
      {
        mode: "manual",
        label: "Open in a new tab",
        defaultValue: false,
        attributes: {
          target: "_blank",
          rel: "noopener noreferrer",
        },
      }
    ],
  },
};
