module.exports = {
  siteMetadata: {
    title: `Public Stack`,
    description: `Towards open, democratic and sustainable digital public spaces`,
    author: `Waag`,
  },
  plugins: [
    `gatsby-plugin-react-helmet`,
    `gatsby-plugin-sass`,
    {
      resolve: `gatsby-source-filesystem`,
      options: {
        name: `images`,
        path: `${__dirname}/src/images`,
      },
    },
    {
      resolve: 'gatsby-plugin-react-svg',
      options: {
        rule: {
          include: /inline/
        }
      }
    },

    {
      resolve: 'gatsby-source-strapi',
      options: {
        apiURL: process.env.API_URL || 'http://localhost:1337',
        collectionTypes: [
          'layer',
          'domain',
          'use-case',
          'alternative',
          'article',
          'publication',
          'publication-section',
          'publication-page'
        ],
        singleTypes: [
          'header',
          'home',
          'domains-page',
          'practice-page',
          'about',
          'deps-page'
        ],
        queryLimit: 1000
      }
    },

    `gatsby-plugin-image`,
    `gatsby-plugin-sharp`,
    `gatsby-transformer-sharp`,
    // {
    //   resolve: `gatsby-plugin-sharp`,
    //   options: {
    //     // Available options and their defaults:
    //     base64Width: 20,
    //     forceBase64Format: `png`, // valid formats: png,jpg,webp
    //     useMozJpeg: process.env.GATSBY_JPEG_ENCODER === `MOZJPEG`,
    //     stripMetadata: true,
    //     defaultQuality: 60,
    //   }
    // },

    {
      resolve: `gatsby-plugin-manifest`,
      options: {
        name: `Public Stack Site`,
        short_name: `public-stack`,
        start_url: `/`,
        background_color: `#FFFFFF`,
        theme_color: `#2cbdbc`,
        display: `minimal-ui`,
        icon: `src/images/icon.png`, // This path is relative to the root of the site.
      },
    },
    // this (optional) plugin enables Progressive Web App + Offline functionality
    // To learn more, visit: https://gatsby.dev/offline
    `gatsby-plugin-offline`,
  ],
}
